sfcode An Online Competing and Development Environment

alphanum-sort

> Alphanumeric sorting algorithm

# Install

With npm do:

npm i alphanum-sort -S

# Example

var sort = require('alphanum-sort');
var result = sort(['item20', 'item19', 'item1', 'item10', 'item2']);
// ['item1', 'item2', 'item10', 'item19', 'item20']

# API

## alphanumSort(array, options)

### options

#### insensitive

Type: `Boolean` Default: `false`

Compares items case insensitively

#### sign

Type: `Boolean` Default: `false`

Allows `+` and `-` characters before numbers

# License

MIT © Bogdan Chadkin